---
title: 周报#06 @ 防御性编程、部署史、javascript-algorithms
tags:
  - Front-End
date: 2019-12-15
cover: images/issue-06.jpg
---

## 前端动态

### 1、[从 VSCode 看大型 IDE 技术架构](https://zhuanlan.zhihu.com/p/96041706)

通过本文，我们可以一起和作者从 **VSCode** 身上学习大型复杂 GUI 软件如何组织功能模块代码，如何使用 Electron 技术将 Web 软件桌面化，如何在打造插件化开放生态的同时保证软件整体质量与性能，如何打造一款好用的、流行的工具软件。

### 2、[2020 年成为更好的 Node.js 开发人员的 20 种方法](https://medium.com/@me_37286/20-ways-to-become-a-better-node-js-developer-in-2020-d6bd73fcf424)

Node.js 生态目前已很成熟，在每个领域都提供了较多具有吸引力的选择，此时正确的选择成为我们最大的挑战。本文作者总结了 20 条 **2020** Node.js 开发的注意事项。

### 3、[前端防御性编程](https://juejin.im/post/5de91d0f51882512400acafd)

一个页面在呈现给用户之前需要经过静态资源加载、后端接口请求和渲染这三个过程，我们要做的就是在各个过程中防御可能出现的异常情况，保持流畅的用户体验，同时还要应对来自外部的攻击。

### 4、[H5 手机 App 开发入门：概念篇](http://www.ruanyifeng.com/blog/2019/12/hybrid-app-concepts.html)

如果你开始学习手机 App 开发，就一定会听到 **H5** 这个词。它是目前的主流开发技术之一，容易上手，开发周期短、成本低、兼容传统 Web 开发。但是，很少有文章详细介绍，H5 到底是什么技术，有什么原理，跟其他技术的差异在哪里。

### 5、[你不知道的 JSON.stringify() 的威力](https://github.com/NieZhuZhu/Blog/issues/1)

本文作者带读者了解在日常学习时容易遗漏掉或者忘掉或者没有思考过的你不知道的 **JSON.stringify()** 的威力。

### 6、[Web 性能领域常见的专业术语](https://github.com/berwin/Blog/issues/46)

测量与排查网页的性能瓶颈，是一名专业 Web 性能优化者的基本功。本章将详细介绍 Web 性能领域的一些专业术语，通过这些术语也可以侧面了解是哪些因素在影响加载性能。

### 7、[2019 年前端大事件回顾：流年笑掷，未来可期](https://juejin.im/post/5def782ce51d4558181d27ce)

回顾 **2019** 年前端和 Web 开发的主要事件，新闻和趋势。

### 8、[前端部署的发展历程](https://shanyue.tech/frontend-engineering/deploy.html)

前端以前是刀耕火种，那前端应用部署在以前也是刀耕火种。那前端应用部署的发展得益于什么，随前端工程化带来的副产品？这只是一部分，而更重要的原因是 **devops** 的崛起。

## 明星项目

### 1、[doocs/md](https://github.com/doocs/md)

✍ 一款高度简洁的 **微信 Markdown 编辑器**：支持 Markdown 所有基础语法、色盘取色、一键复制并粘贴到公众号后台、多图上传、自定义 CSS 样式、一键重置等特性。

### 2、[antonmedv/fx](https://github.com/antonmedv/fx)

在终端友好地查看 **JSON**；

### 3、[trekhleb/javascript-algorithms](https://github.com/trekhleb/javascript-algorithms)

该仓库包含了多种基于 **JavaScript 的算法与数据结构**。

### 4、[mysticatea/npm-run-all](https://github.com/mysticatea/npm-run-all)

一个命令行工具，支持 **并发或顺序执行多个 npm 脚本**。

### 5、[phuoc-ng/csslayout](https://csslayout.io/)

一个流行的布局和图案的集合，全部采用 **CSS** 实现。

### 6、[Python 最佳实践指南](https://pythonguidecn.readthedocs.io/zh/latest/)

**《Python 开发最佳实践指南》**，中文版开源电子书。

## 本周热点

### 1、[GitHub 欲在中国设立子公司，或为规避美国技术封锁](https://www.infoq.cn/article/2CitSlQZ4kXPNlJ734Fw)

据英国《金融时报》，全球最大的软件开发平台 GitHub 计划 **在中国开设子公司**。GitHub 首席运营官 Erica Brescia 表示，GitHub 正计划采取“分阶段的方式”，首先考虑在中国设立一家外商独资子公司，从总经理开始招聘员工。之后，该公司可能会探索在中国建立合资企业和托管 GitHub 内容的可能性。

### 2、[Nginx 之父被抓，利用工作业余时间编写的软件到底属于谁](https://mp.weixin.qq.com/s?__biz=MjM5OTA1MDUyMA==&mid=2655447937&idx=1&sn=b01f1dbd959bd23a159ac453a441cdb6&chksm=bd7327f68a04aee092aebbd5d23e7f06bb5af353982e1cdecee7b857ffaac65422b4f06e6d1e&scene=21)

上周，Rambler 集团对 NGINX Inc. 提出了侵犯版权的诉讼，声称拥有 **NGINX** 网络服务器代码的全部所有权，Rambler 声称 Igor Sysoev 是在担任公司系统管理员时开发 NGINX 的，因此他们是 NGINX 的合法所有者。

## 最后一提

1、**马太效应**，指强者愈强、弱者愈弱，反映的社会现象是两极分化，富的更富，穷的更穷。对于前端，我认为也是如此。

2、**敏捷开发** 提出的解决方法很简单，就是把开发过程分成多个 100 米，每一段都是短跑比赛就可以了。

-- Rich Hickey
