---
title: 周报#11 @ ES2020、Ant Design 4.0、esbuild
tags:
  - Front-End
date: 2020-03-15
cover: images/issue-11.jpg
---

## 前端动态

### 1、[一文道尽软件架构及前端架构演进](https://mp.weixin.qq.com/s/qOjpR1qrKgBRF90ea5mkyA)

软件架构是关于软件开发中重要的事情，思考软件架构其实就是思考哪些是最重要的事情，并且要保持这些部分始终运行在良好的状态下。

### 2、[疫情专题之 ECHARTS 经验总结](https://zhuanlan.zhihu.com/p/111748233)

作者开发肺炎疫情专题页，大量的使用到了 ECharts 地图和图表相关的功能。之前也没有使用过 ECharts，所以把一些稍微复杂的需求实现总结一下。

### 3、[如何推动前端团队的基础设施建设](https://juejin.im/post/5e644a65518825495d69bca6)

广义情况下，技术架构、技术建设等是研发团队基础设施建设的一个真子集，除了这些，团队的基建还包括了诸如制度、流程、文化、梯队、培训等其他方面。本文面向狭义的“技术基础设施建设”进行，此外的偏软能力的方面。

### 4、[Ant Design 4.0 正式版来了](https://www.yuque.com/ant-design/ant-design/ant-design-4.0-released)

**v3** 版本于 **2019** 年 **12** 月合入 **3.x-stable** 分支并进入维护状态，后续提供半年的维护。**v4** 提供暗色主题，无边框组件，停止对 **IE 9/10** 的支持，按需加载图标，引入 **hooks**，重做 **Form**，**Table** 等组件。

### 5、[如何使用 CSS 制作折线图](https://css-tricks.com/how-to-make-a-line-chart-with-css/)

如果你只需要一个简单的 **折线图**，就无需加载庞大的 **JavaScript** 库，甚至也不需要 **SVG**，作者仅用 **CSS** 和 **HTML** 中的几个自定义属性来实现这一切，其中，包含些 **三角函数** 的知识。

### 6、[Kubernetes 中文指南](https://jimmysong.io/kubernetes-handbook/)

本书是第一本系统整理的开源中文版 **Kubernetes** 参考资料，记录了本人从零开始学习和使用 **Kubernetes** 的历程，着重于总结和资料分享，同时也会有相关的概念解析。

### 7、[ECMAScript 2020 新增功能](https://alligator.io/js/es2020/)

**ES2020** 标准新增的 **6** 个语法：

- [类的私有方法](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Classes)
- [Promise.allSettled](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Global_Objects/Promise/allSettled)
- [空值合并运算符](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Operators/Nullish_coalescing_operator)
- [可选链操作符](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Operators/Optional_chaining)
- [BigInt](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Global_Objects/BigInt)
- [动态 import](https://developer.mozilla.org/zh-CN/docs/Web/JavaScript/Reference/Statements/import)

### 8、[Deno 运行时入门教程：Node.js 的替代品](http://www.ruanyifeng.com/blog/2020/01/deno-intro.html)

本文是对 **Deno** 的一个初步介绍，尝试回答为什么 **Node.js** 不能满足需要，以及 **Deno** 能够带给我们什么？以下内容主要基于 [Bert Belder](https://www.youtube.com/watch?v=puXyo1jGQys) 和 [Ryan Dahl](https://www.youtube.com/watch?v=1gIiZfSbEAE) 的最新演讲。

### 9、[Rome：Facebook 最新 JS 工具上手](https://blog.csdn.net/qiwoo_weekly/article/details/104624223)

**Rome** 是一个实验性 **JavaScript** 工具链，包括编译器、Linter、格式化器、打包器、测试框架等，致力于成为处理 **JavaScript** 源代码的一个综合性工具。

### 10、[前端从业分布与技术关注的一点看法](https://www.zhangxinxu.com/life/2020/02/frontend-should-focus/)

**张鑫旭** 认为作为一个职业的前端开发，评估在公司这样一个商业机构里是否应用某一个技术，不应该是这个技术是否流行，不应该是这个技术能否让我开发爽，也不是是否可以炫耀自己独家掌握的技术，而应该是这个技术是不是适合我们产品，对用户和公司带来的价值有多大，对于同事间协作新人加入后的维护是否方便等。

## 明星项目

### 1、[CSS2JS](https://css2js.dotenv.dev/)

一个将 **CSS** 转换为 **JavaScript** 对象的在线工具。

### 2、[evanw/esbuild](https://github.com/evanw/esbuild)

一款快 **10-100** 倍的 **JS** 打包 / 压缩工具，作者希望这个项目可以证明 **JavaScript** 工具实际上能比现在快得多。

### 3、[sindresorhus/fkill-cli](https://github.com/sindresorhus/fkill-cli)

难以置信的跨平台 **终止进程** 工具。

## 本周热点

### 1、[比尔盖茨退出微软董事会](https://finance.sina.com.cn/wm/2020-03-14/doc-iimxxstf9020360.shtml)

**3** 月 **14** 日，微软公司创始人 **比尔·盖茨** 宣布退出公司董事会，同时退出巴菲特旗下投资公司伯克希尔·哈撒韦董事会的职务，将把更多时间投入于慈善事业。

### 2、[武汉金银潭医院上线 AI 全基因检测平台](http://stdaily.com/rgzn/tuijianq/2020-03/13/content_900500.shtml)

武汉金银潭医院上线病原宏基因组检测平台，通过引进 **达摩院** 医疗 **AI** 技术，可同时完成新型冠状病毒和其他 **16800** 多种病原微生物的全基因组序列检测，可为新冠病毒肺炎引起的继发、并发感染迅速找到病原，以此实现精准诊断，提高救治效率，降低病死率。

## 最后一提

1、[新冠肺炎对中国的积极意义是什么](https://www.zhihu.com/question/371524248)

- 罪犯找到了一次重新做人的机会；
- 许多会可以不开，许多班可以不加，许多社交可以不参与；
- 医患关系有重大改善；
- 不一直掌勺，就永远不知道自己这也会做，那也会做；
- 钱多还是有很大好处的；
- 房价会跌；

2、[2020 远程办公状态调查](https://lp.buffer.com/state-of-remote-work-2020)

超过 **3,500** 远程办公者参与调查，其中，**98%** 表示不想再回办公室上班。

3、**Nothing Changes Until You Do.**

-- Mike Robbins
